import axios from "axios";

axios.defaults.baseURL = '/abc'
axios.defaults.headers.post["Content-Type"]='application/x-www-form-urlencoded;charset=UTF-8'
axios.defaults.timeout = 10000

axios.interceptors.request.use(
    config => {
        return config;
    },
    error => {
        return Promise.reject(error);
    }
);

axios.interceptors.response.use(
    res => {
        // 假设后端返回的数据格式为{ data: {...} }，这里直接返回data中的数据
        return res.data;
    },
    error => {
        // 可以在这里添加响应错误的处理逻辑，如根据错误状态码显示不同的提示信息
        console.error('Response error:', error);
        return Promise.reject(error);
    }
);

export default {
    gydxGet(url,data){
        return new Promise((resolve, reject) => {
            axios({
                method : 'get',
                url,
                params : data,
            }).then(res => {
                resolve(res)
            }).catch(err => {
                reject(err)
            })
        })
    },
    gydxPost(url, data) {
        return new Promise((resolve, reject) => {
            axios({
                method: 'post',
                url,
                data: data,
                headers: {
                    'Content-Type': 'application/json;charset=UTF-8' // 根据后端需求设置合适的Content - Type，这里假设是JSON格式
                }
            }).then(res => {
                resolve(res);
            }).catch(err => {
                reject(err);
            });
        });
    }
}
